## pyenglish 0.1-extras12.04.1

=== debian/changelog ===
pyenglish (0.1-extras12.04.1) precise; urgency=low

  * Initial release.

 -- costales <costales.marcos@gmail.com>  Thu, 05 Jul 2012 19:03:19 +0200
