=== debian/control ===
Source: pyenglish
Section: python
Priority: extra
Build-Depends: libglib2.0-bin,  
 debhelper (>= 8),
 python (>= 2.6.6-3~),
 python-distutils-extra (>= 2.10)
Maintainer: Marcos Costales <costales@ubuntu.com>
Standards-Version: 3.9.3
XS-Python-Version: current

Package: pyenglish
Architecture: all
XB-Python-Version: ${python:Versions}
Depends: ${misc:Depends},
 ${python:Depends},
 gir1.2-glib-2.0,
 gir1.2-gtk-3.0,
 gir1.2-launchpad-integration-3.0,
 yelp,
 espeak
Description: Practice Your English
 Complete the right sentence with random words
