=== debian/rules ===
#!/usr/bin/make -f
%:
ifneq ($(shell dh -l | grep -xF translations),)
	dh $@ --with python2,translations
else
	dh $@ --with python2
endif

override_dh_auto_install:
	dh_auto_install -- --install-scripts=/opt/extras.ubuntu.com/pyenglish                 --install-data=/opt/extras.ubuntu.com/pyenglish                 --install-lib=/opt/extras.ubuntu.com/pyenglish

override_dh_python2:
	dh_python2 /opt/extras.ubuntu.com/pyenglish


override_dh_install:
	dh_install
	mkdir -p debian/pyenglish/opt/extras.ubuntu.com/pyenglish/bin
	if [ -x debian/pyenglish/opt/extras.ubuntu.com/pyenglish/pyenglish/pyenglish ]; then mv debian/pyenglish/opt/extras.ubuntu.com/pyenglish/pyenglish/pyenglish debian/pyenglish/opt/extras.ubuntu.com/pyenglish/bin; fi
	if [ -f debian/pyenglish/opt/extras.ubuntu.com/pyenglish/share/applications/pyenglish.desktop ]; then \
		mkdir -p debian/pyenglish/usr/share/applications; \
		mv debian/pyenglish/opt/extras.ubuntu.com/pyenglish/share/applications/pyenglish.desktop debian/pyenglish/usr/share/applications/extras-pyenglish.desktop; \
		rmdir --ignore-fail-on-non-empty debian/pyenglish/opt/extras.ubuntu.com/pyenglish/share/applications; \
		sed -i 's|Exec=.*|Exec=/opt/extras.ubuntu.com/pyenglish/bin/pyenglish|' debian/pyenglish/usr/share/applications/extras-pyenglish.desktop; \
		sed -i 's|Icon=/usr/|Icon=/opt/extras.ubuntu.com/pyenglish/|' debian/pyenglish/usr/share/applications/extras-pyenglish.desktop; \
	fi
	grep -RlZ 'import gettext' debian/pyenglish/* | xargs -0 -r sed -i 's|\(import\) gettext$$|\1 locale|'
	grep -RlZ 'from gettext import gettext as _' debian/pyenglish/* | xargs -0 -r sed -i 's|from gettext \(import gettext as _\)|from locale \1|'
	grep -RlZ "gettext.textdomain('pyenglish')" debian/pyenglish/* | xargs -0 -r sed -i "s|gettext\(\.textdomain('pyenglish')\)|locale\.bindtextdomain('pyenglish', '/opt/extras.ubuntu.com/pyenglish/share/locale')\nlocale\1|" 
	sed -i "s|__pyenglish_data_directory__ =.*|__pyenglish_data_directory__ = '/opt/extras.ubuntu.com/pyenglish/share/pyenglish/'|" debian/pyenglish/opt/extras.ubuntu.com/pyenglish/pyenglish*/pyenglishconfig.py
	sed -i 's|        sys.path.insert(0, opt_path)|\0\n    os.putenv("XDG_DATA_DIRS", "%s:%s" % ("/opt/extras.ubuntu.com/pyenglish/share/", os.getenv("XDG_DATA_DIRS", "")))|' debian/pyenglish/opt/extras.ubuntu.com/pyenglish/bin/pyenglish
	if [ -d debian/pyenglish/opt/extras.ubuntu.com/pyenglish/share/glib-2.0/schemas ]; then glib-compile-schemas debian/pyenglish/opt/extras.ubuntu.com/pyenglish/share/glib-2.0/schemas; fi
